AbstractMarkupTokenMaker
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea.modes

## Class AbstractMarkupTokenMaker

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.TokenMakerBase
  - - org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker
    - - org.fife.ui.rsyntaxtextarea.modes.AbstractMarkupTokenMaker

- All Implemented Interfaces:
    TokenMaker
  Direct Known Subclasses:
    BBCodeTokenMaker, HTMLTokenMaker, JSPTokenMaker, MxmlTokenMaker, PHPTokenMaker, XMLTokenMaker

      public abstract class AbstractMarkupTokenMaker
      extends AbstractJFlexTokenMaker

  Base class for token makers for markup languages.

- - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `offsetShift, s, start`

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `currentToken, firstToken, previousToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMarkupTokenMaker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getCompleteCloseTags()` Returns whether markup close tags should be completed.
    `java.lang.String[]` | `getLineCommentStartAndEnd(int languageIndex)` Returns the text to place at the beginning and end of a line to "comment" it in this programming language.
    `boolean` | `isMarkupLanguage()` Overridden to return `true`.

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `yybegin, yybegin`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `addNullToken, addToken, addToken, addToken, createOccurrenceMarker, getClosestStandardTokenTypeForInternalType, getCurlyBracesDenoteCodeBlocks, getInsertBreakAction, getLanguageIndex, getLastTokenTypeOnLine, getMarkOccurrencesOfTokenType, getOccurrenceMarker, getShouldIndentNextLineAfter, isIdentifierChar, resetTokenList, setLanguageIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.fife.ui.rsyntaxtextarea.TokenMaker

      `getTokenList`

- - ### Constructor Detail

    - #### AbstractMarkupTokenMaker

          public AbstractMarkupTokenMaker()

  - ### Method Detail

    - #### getCompleteCloseTags

          public abstract boolean getCompleteCloseTags()

      Returns whether markup close tags should be completed.
      Returns:
        Whether closing markup tags are to be completed.

    - #### getLineCommentStartAndEnd

          public java.lang.String[] getLineCommentStartAndEnd(int languageIndex)

      Returns the text to place at the beginning and end of a line to "comment" it in this programming language.
      Specified by:
        `getLineCommentStartAndEnd` in interface `TokenMaker`
      Overrides:
        `getLineCommentStartAndEnd` in class `TokenMakerBase`
      Parameters:
        `languageIndex` - The language index at the offset in question. Since some `TokenMaker`s effectively have nested languages (such as JavaScript in HTML), this parameter tells the `TokenMaker` what sub-language to look at.
      Returns:
        The start and end strings to add to a line to "comment" it out. A `null` value for either means there is no string to add for that part. A value of `null` for the array means this language does not support commenting/uncommenting lines.

    - #### isMarkupLanguage

          public final boolean isMarkupLanguage()

      Overridden to return `true`.
      Specified by:
        `isMarkupLanguage` in interface `TokenMaker`
      Overrides:
        `isMarkupLanguage` in class `TokenMakerBase`
      Returns:
        `true` always.